Bug 248936 - devel/libuv: Use release archive, add comment about tests
Summary: devel/libuv: Use release archive, add comment about tests
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thierry Thomas
URL: https://github.com/libuv/libuv/releas...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-08-26 18:47 UTC by daniel.engberg.lists
Modified: 2020-09-29 21:59 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (thierry)


Attachments
Patch for libuv (1.40 KB, patch)
2020-08-26 18:47 UTC, daniel.engberg.lists
no flags Details | Diff
Patch for libuv v2 (1.37 KB, patch)
2020-08-29 06:03 UTC, daniel.engberg.lists
no flags Details | Diff
Patch for libuv v3 (3.02 KB, patch)
2020-09-21 05:49 UTC, daniel.engberg.lists
no flags Details | Diff
Patch for libuv v3 (correct patch) (1.36 KB, patch)
2020-09-22 11:10 UTC, daniel.engberg.lists
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description daniel.engberg.lists 2020-08-26 18:47:30 UTC
Created attachment 217548 [details]
Patch for libuv

Update libuv to 1.39.0
Use release archive instead of pulling source from GitHub repo as suggested by 5.4.3 in Porter's Handbook
Disable tests as they don't work as expected when run as root :(
Reference: https://github.com/libuv/libuv/commit/af45b6ba2f2c506ae18dd24481e24db17b8269e7

Compile tested on FreeBSD 13.0-CURRENT #0 r358620 (AMD64)
Poudriere OK 12.1-RELEASE (AMD64)
Comment 1 daniel.engberg.lists 2020-08-29 06:03:43 UTC
Created attachment 217607 [details]
Patch for libuv v2

Cosmetic fix in Makefile
Comment 2 daniel.engberg.lists 2020-09-09 07:56:19 UTC
bhughes@

Can you have a look at this?
Comment 3 Thierry Thomas freebsd_committer 2020-09-09 19:46:59 UTC
(In reply to daniel.engberg.lists from comment #2)

Hello,

- bhughes@ committed the upgrade;

- the original port used the release archive, but at some point they forgot to update it: it's why I switched to GitHub; why do you prefer the archive?

- even if not all tests pass, they are useful to check an update, and I don't see any reason to remove them (anyways, they are not launched automatically).
Comment 4 daniel.engberg.lists 2020-09-09 20:35:59 UTC
Apart from recommendation in handbook, it offers better availability (if needed) and you reduce changes of getting checksum mismatches because its a static file. Not to forget that there is work being done for using upstream distribution archives instead of fetching from "repo".

The test suite wont run if launched as root which I would assume being true in most cases so instead of failing it's better to not to use it until upstream fixed the issues regarding it, at least that's my take on it.
Comment 5 daniel.engberg.lists 2020-09-21 05:49:09 UTC
Created attachment 218126 [details]
Patch for libuv v3

Refresh patch
Use release tarball
Keep "make test" target although add comment about issue running test(s) as root
Comment 6 daniel.engberg.lists 2020-09-22 11:10:32 UTC
Created attachment 218175 [details]
Patch for libuv v3 (correct patch)

Attached wrong file last time, sorry.
Comment 7 commit-hook freebsd_committer 2020-09-29 21:58:53 UTC
A commit references this bug:

Author: bhughes
Date: Tue Sep 29 21:57:58 UTC 2020
New revision: 550630
URL: https://svnweb.freebsd.org/changeset/ports/550630

Log:
  devel/libuv: Update 1.39.0 -> 1.40.0

  While here, apply changes from PR 248936:
  - Use release archive instead of pulling source from GitHub repo as
    suggested by 5.4.3 in Porter's Handbook
  - Keep "make test" target although add comment about issue running
    test(s) as root

  PR:		248936
  Submitted by:	daniel.engberg.lists@pyret.net
  Sponsored by:	Miles AS

Changes:
  head/devel/libuv/Makefile
  head/devel/libuv/distinfo
Comment 8 Bradley T. Hughes freebsd_committer 2020-09-29 21:59:21 UTC
Done, thanks for the patch (and your patience)! :)